Package weka.core

# Interface TechnicalInformationHandler

All Known Implementing Classes:
  `AdaBoostM1`, `AdditiveRegression`, `ADNode`, `ADTree`, `Agrawal`, `AODE`, `AODEsr`, `Apriori`, `Bagging`, `BallTree`, `BayesianLogisticRegression`, `BFTree`, `BIFReader`, `BIRCHCluster`, `BottomUpConstructor`, `BoundaryVisualizer`, `BVDecompose`, `BVDecomposeSegCVSub`, `CfsSubsetEval`, `ChebyshevDistance`, `ChisqMixture`, `CitationKNN`, `ClassBalancedND`, `ClassificationViaRegression`, `CLOPE`, `Cobweb`, `ComplementNaiveBayes`, `ConsistencySubsetEval`, `CoverTree`, `CVParameterSelection`, `Dagging`, `DataNearBalancedND`, `DBSCAN`, `DecisionTable`, `Decorate`, `Discretize`, `DMNBtext`, `DTNB`, `END`, `EuclideanDistance`, `FarthestFirst`, `FPGrowth`, `FT`, `GaussianProcesses`, `GeneralizedSequentialPatterns`, `GeneticSearch`, `Grading`, `HNB`, `IB1`, `IBk`, `Id3`, `IteratedLovinsStemmer`, `J48`, `J48graft`, `JRip`, `K2`, `K2`, `KDTree`, `KernelFilter`, `KMeansInpiredMethod`, `KStar`, `LADTree`, `LBR`, `LeastMedSq`, `LED24`, `LibLINEAR`, `LibSVM`, `LinearForwardSelection`, `LMT`, `Logistic`, `LogitBoost`, `LovinsStemmer`, `LWL`, `M5Base`, `M5P`, `M5Rules`, `ManhattanDistance`, `MDD`, `MedianDistanceFromArbitraryPoint`, `MedianOfWidestDimension`, `MedianOfWidestDimension`, `MetaCost`, `MIBoost`, `MIDD`, `MiddleOutConstructor`, `MidPointOfWidestDimension`, `MIEMDD`, `MINND`, `MIOptimalBall`, `MISMO`, `MISVM`, `MIWrapper`, `MixtureDistribution`, `MultiBoostAB`, `NaiveBayes`, `NaiveBayesMultinomial`, `NaiveBayesMultinomialUpdateable`, `NaiveBayesSimple`, `NaiveBayesUpdateable`, `NBTree`, `ND`, `NNge`, `NominalToBinary`, `NormalMixture`, `OneR`, `OPTICS`, `Optimization`, `OrdinalClassClassifier`, `PaceRegression`, `PairedCorrectedTTester`, `PART`, `PKIDiscretize`, `PLSFilter`, `PointsClosestToFurthestChildren`, `PredictiveApriori`, `Prism`, `Puk`, `RacedIncrementalLogitBoost`, `RaceSearch`, `RandomForest`, `RandomProjection`, `RandomSearch`, `RandomSubSpace`, `RankSearch`, `RegSMO`, `RegSMOImproved`, `RELAGGS`, `ReliefFAttributeEval`, `RotationForest`, `ScatterSearchV1`, `sIB`, `SimpleCart`, `SimpleLogistic`, `SimulatedAnnealing`, `SimulatedAnnealing`, `SlidingMidPointOfWidestSide`, `SMO`, `SMOreg`, `SMOTE`, `SPegasos`, `Stacking`, `StackingC`, `StringKernel`, `SVMAttributeEval`, `TabuSearch`, `TabuSearch`, `TAN`, `TAN`, `Tertius`, `TopDownConstructor`, `UserClassifier`, `VFI`, `Vote`, `VotedPerceptron`, `WAODE`, `Wavelet`, `Winnow`, `WrapperSubsetEval`, `XMeans`

public interface TechnicalInformationHandler
For classes that are based on some kind of publications. They return a TechnicalInformation object filled with the data of the publication.

Version:
  $Revision: 1.1 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - `TechnicalInformation`

## Method Summary

Modifier and Type
Method
Description
`TechnicalInformation`
`getTechnicalInformation()`
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

## Method Details

### getTechnicalInformation

TechnicalInformation getTechnicalInformation()
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

Returns:
  the technical information about this class